package com.jiuqi.db;

import java.sql.SQLException;
import java.util.List;

public interface DBMetaData {
   int DBMS_UNKNOWN = 0;
   int DBMS_SQLSERVER = 1;
   int DBMS_ORACLE = 2;
   int DBMS_DB2 = 3;
   int DBMS_SYBASE = 4;
   int DBMS_MYSQL = 5;

   int databaseType();

   int maxColumnCount();

   int maxRecordSize();

   int maxColumnByteSize(int var1) throws SQLException;

   int maxIndexNameLength();

   int maxFieldNameLength();

   int maxTableNameLength();

   String getFieldDDL(int var1, int var2, int var3, boolean var4, String var5) throws SQLException;

   String getDropFieldPreSql(String var1, String var2);

   String getDropFieldDDL(String var1, String var2);

   boolean getModifyFieldSqls(String var1, String var2, int var3, int var4, int var5, boolean var6, String var7, String var8, int var9, int var10, int var11, boolean var12, String var13, List var14) throws SQLException;

   boolean getDDLCausesTransactionCommit();

   boolean getDDLIgnoredInTransactions();

   String getDefaultScheme();

   boolean getSupportDropColumn();

   DBFunction createDBFunction();

   boolean getTruncateNumber();
}
